package app.furmeet.events.system

import android.content.Context
import android.content.res.Configuration
import android.os.Bundle
import android.view.MenuItem
import androidx.annotation.CallSuper
import androidx.appcompat.app.AppCompatActivity
import app.furmeet.events.system.helper.LocaleManager
import app.furmeet.events.system.schedule.managers.ScheduleManagerGetter


abstract class TranslatableAppCompatActivityWithScheduleServiceWrapped : TranslatableAppCompatActivity() {
    lateinit var scheduleManagerWrapper: ScheduleManagerGetter
    val scheduleManager get() = scheduleManagerWrapper[this]

    @CallSuper
    override fun onCreate(savedInstanceState: Bundle?) {
        scheduleManagerWrapper = ScheduleManagerGetter
        super.onCreate(savedInstanceState)
    }
}